/* 
	OpenGL macros for ExTerra

*/

#define EXT_OGL_ROTATE(p) {	glRotatef( (p).x, 1.0, 0.0, 0.0) ; \
							glRotatef( (p).y, 0.0, 1.0, 0.0) ; \
							glRotatef( (p).z, 0.0, 0.0, 1.0) ; }

#define EXT_OGL_ROTATEdouble(p) {	glRotated( (p).x, 1.0, 0.0, 0.0) ; \
							glRotated( (p).y, 0.0, 1.0, 0.0) ; \
							glRotated( (p).z, 0.0, 0.0, 1.0) ; }


#define EXT_OGL_TRANSLATE(p) ( glTranslatef( (p).x, (p).y , (p).z ) )
#define EXT_OGL_TRANSLATEdouble(p) ( glTranslatef( (p).x, (p).y , (p).z ) ; )

#define EXT_OGL_SPECIFY_POINT(p) { glVertex3f( (p).x, (p).y , (p).z ) ; }
#define EXT_OGL_SPECIFY_HEIGHT(p) { glVertex3f( i, j , (p) ) ; }

#define EXT_OGL_DRAW_AXES() {		glBegin(GL_LINES) ;	\
										glColor3f(0.0, 1.0, 0.0) ; \
										glVertex3f(EXT_ORIGIN) ; \
										glVertex3f(10.0, 0.0, 0.0) ; \
										glVertex3f(10.0, 0.0, 1.0);\
										glVertex3f(11.0, 0.0, -1.0);\
										glVertex3f(11.0, 0.0, 1.0);\
										glVertex3f(10.0, 0.0, -1.0);\
										glColor3f(1.0, 0.0, 0.0) ; \
										glVertex3f(EXT_ORIGIN) ; \
										glVertex3f(0.0, 10.0, 0.0) ; \
										glVertex3f(1.0, 11.0, 0.0);\
										glVertex3f(1.0, 12.0, 0.0);\
										glVertex3f(1.0, 12.0, 0.0);\
										glVertex3f(0.0, 13.0, 0.0);\
										glVertex3f(1.0, 12.0, 0.0);\
										glVertex3f(2.0, 13.0, 0.0);\
										glColor3f(1.0, 0.0, 1.0) ; \
										glVertex3f(EXT_ORIGIN) ; \
										glVertex3f(0.0, 0.0, 10.0) ; \
										glVertex3f(0.0, -1.0, 11.0);\
										glVertex3f(0.0, -2.5, 11.0);\
										glVertex3f(0.0, -2.5, 11.0);\
										glVertex3f(0.0, -1.0, 12.0);\
										glVertex3f(0.0, -1.0, 12.0);\
										glVertex3f(0.0, -2.5, 12.0);\
									glEnd() ; }
#define EXT_OGL_LINE glPolygonMode(GL_FRONT_AND_BACK, GL_LINE)
#define EXT_OGL_FILL glPolygonMode(GL_FRONT_AND_BACK, GL_FILL)
/*#define EXT_OGL_WIRE EXT_OGL_LINE; glDisable (GL_LIGHTING)
#define EXT_OGL_LIT EXT_OGL_FILL; glEnable (GL_LIGHTING)*/