/*
	Basic data types

*/

#ifndef EXT_BASETYPES_H

#define EXT_BASETYPES_H
typedef struct 
{
	double		x;
	double		y;
	double		z;
} EXTpoint3, EXTvector3;

typedef struct 
{
	float		x;
	float		y;
	float		z;
} EXTpoint3f, EXTvector3f;

typedef struct 
{
	EXTpoint3	location;
	EXTvector3	fwd;
	float		fwd_a;
	float		angle;
	float		pitch;
	float		roll;
	float		speed;
	float		clip_near;
	float		clip_far;
	float		fov;
	float		half_fov;
	float		ax1, ax2, by1, by2, d1, d2;

		
} EXTcamera;

#endif