#include "EXTbasetypes.h"

#ifndef ELEVType
//#define ELEVType		unsigned short int
#define ELEVType		unsigned char
#define INDEXType		int

typedef struct _heightfield
{
	ELEVType	**elev;
	unsigned char	**lightmap;

	int dim_w, dim_h;
} HEIGHTFIELD;

void	*hfAllocateMemory	(int pWidth, int pHeight);
void	hfFreeMemory		(HEIGHTFIELD *pField);
void	hfRetrieveField		(HEIGHTFIELD *pField, char *pDatabase);
void	hfResetField		(HEIGHTFIELD *pField);
void	hfTwo				(HEIGHTFIELD *pField);
void	hfSmoothField		(HEIGHTFIELD *pField, int iterations);
float	hfGetElevationf		(HEIGHTFIELD *pField, EXTpoint3f *location);
void	hfLightUpField		(HEIGHTFIELD *pField);
void	hfCalculateHistogramUB (HEIGHTFIELD *pField);

#endif